<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_r_e_a_d_m_e_8doxygen_8md" kind="file" language="Markdown">
    <compoundname>README.doxygen.md</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline><highlight class="normal">#<sp />Display<sp />2.4<sp />Inch<sp />TFT<sp />LCD<sp />(ST7789V)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Overview</highlight></codeline>
<codeline />
<codeline><highlight class="normal">This<sp />library<sp />provides<sp />functions<sp />for<sp />supporting<sp />a<sp />2.4<sp />inch<sp />TFT<sp />LCD<sp />driven<sp />by<sp />an<sp />ST7789V<sp />controller.<sp />This<sp />is<sp />the<sp />same<sp />display<sp />as<sp />used<sp />on<sp />the<sp />CY8CKIT-028-TFT<sp />shield.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">Display:<sp />http://www.newhavendisplay.com/nhd24240320cfctxif-p-8176.html\n</highlight></codeline>
<codeline><highlight class="normal">Display<sp />Controller:<sp />http://www.newhavendisplay.com/appnotes/datasheets/LCDs/ST7789V.pdf</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Quick<sp />Start</highlight></codeline>
<codeline><highlight class="normal">Follow<sp />the<sp />steps<sp />bellow<sp />in<sp />order<sp />to<sp />create<sp />a<sp />simple<sp />emWin<sp />application<sp />and<sp />display<sp />some<sp />text<sp />on<sp />it.</highlight></codeline>
<codeline><highlight class="normal">1.<sp />Create<sp />an<sp />empty<sp />application</highlight></codeline>
<codeline><highlight class="normal">2.<sp />Add<sp />this<sp />library<sp />to<sp />the<sp />application</highlight></codeline>
<codeline><highlight class="normal">3.<sp />Add<sp />emWin<sp />library<sp />to<sp />the<sp />application</highlight></codeline>
<codeline><highlight class="normal">4.<sp />Enable<sp />EMWIN_NOSNTS<sp />emWin<sp />library<sp />option<sp />by<sp />adding<sp />it<sp />to<sp />the<sp />Makefile<sp />COMPONENTS<sp />list:</highlight></codeline>
<codeline><highlight class="normal">```</highlight></codeline>
<codeline><highlight class="normal">COMPONENTS+=EMWIN_NOSNTS</highlight></codeline>
<codeline><highlight class="normal">```</highlight></codeline>
<codeline><highlight class="normal">5.<sp />place<sp />the<sp />following<sp />code<sp />in<sp />the<sp />main.c<sp />file:</highlight></codeline>
<codeline><highlight class="normal">```cpp</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"cy_pdl.h"</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"cyhal.h"</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"cybsp.h"</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"GUI.h"</highlight></codeline>
<codeline><highlight class="normal">#include<sp />"mtb_st7789v.h"</highlight></codeline>
<codeline />
<codeline><highlight class="normal">/*<sp />The<sp />pins<sp />above<sp />are<sp />defined<sp />by<sp />the<sp />CY8CKIT-028-TFT<sp />library.<sp />If<sp />the<sp />display<sp />is<sp />being<sp />used<sp />on<sp />different<sp />hardware<sp />the<sp />mappings<sp />will<sp />be<sp />different.<sp />*/</highlight></codeline>
<codeline><highlight class="normal">const<sp />mtb_st7789v_pins_t<sp />tft_pins<sp />=</highlight></codeline>
<codeline><highlight class="normal">{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db08<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB8,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db09<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB9,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db10<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB10,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db11<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB11,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db12<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB12,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db13<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB13,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db14<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB14,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.db15<sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DB15,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.nrd<sp /><sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_NRD,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.nwr<sp /><sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_NWR,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.dc<sp /><sp /><sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_DC,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />.rst<sp /><sp />=<sp />CY8CKIT_028_TFT_PIN_DISPLAY_RST</highlight></codeline>
<codeline><highlight class="normal">};</highlight></codeline>
<codeline />
<codeline><highlight class="normal">int<sp />main(void)</highlight></codeline>
<codeline><highlight class="normal">{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />result;</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />/*<sp />Initialize<sp />the<sp />device<sp />and<sp />board<sp />peripherals<sp />*/</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp />cybsp_init();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(result<sp />==<sp />CY_RSLT_SUCCESS);</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />__enable_irq();</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />/*<sp />Initialize<sp />the<sp />display<sp />controller<sp />*/</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp />mtb_st7789v_init8(&amp;tft_pins);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(result<sp />==<sp />CY_RSLT_SUCCESS);</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />GUI_Init();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />GUI_DispString("Hello<sp />world!");</highlight></codeline>
<codeline />
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />for(;;)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal">}</highlight></codeline>
<codeline><highlight class="normal">```</highlight></codeline>
<codeline><highlight class="normal">6.<sp />Build<sp />the<sp />application<sp />and<sp />program<sp />the<sp />kit.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />More<sp />information</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />[API<sp />Reference<sp />Guide](https://cypresssemiconductorco.github.io/display-tft-st7789v/html/index.html)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor,<sp />an<sp />Infineon<sp />Technologies<sp />Company](http://www.cypress.com)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor<sp />GitHub](https://github.com/cypresssemiconductorco)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[ModusToolbox](https://www.cypress.com/products/modustoolbox-software-environment)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Code<sp />Examples<sp />using<sp />ModusToolbox<sp />IDE](https://github.com/cypresssemiconductorco/Code-Examples-for-ModusToolbox-Software)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Middleware](https://github.com/cypresssemiconductorco/psoc6-middleware)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Resources<sp />-<sp />KBA223067](https://community.cypress.com/docs/DOC-14644)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">---</highlight></codeline>
<codeline><highlight class="normal">©<sp />Cypress<sp />Semiconductor<sp />Corporation,<sp />2019-2020.</highlight></codeline>
    </programlisting>
    <location file="bsp/libs/display-tft-st7789v/README.doxygen.md" />
  </compounddef>
</doxygen>